doctrine_route_test1:
  url:   /doctrine/route/test1
  class: sfDoctrineRoute
  options: { model: Article, type: object, method_for_query: retrieveArticle1 }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test2:
  url:   /doctrine/route/test2
  class: sfDoctrineRoute
  options: { model: Article, type: object, method: retrieveArticle2 }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test3:
  url:   /doctrine/route/test3
  class: sfDoctrineRoute
  options: { model: Article, type: list, method: retrieveArticle3 }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test4:
  url:   /doctrine/route/test4
  class: sfDoctrineRoute
  options: { model: Article, type: list, method: retrieveArticle4 }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test5:
  url:   /doctrine/route/test5/:id/:testing_non_column
  class: sfDoctrineRoute
  options: { model: Article, type: object }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test6:
  url:   /doctrine/route/test6/:slug/:testing_non_column
  class: sfDoctrineRoute
  options: { model: Article, type: object }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test7:
  url:   /doctrine/route/test7/:testing_non_column
  class: sfDoctrineRoute
  options: { model: Article, type: list }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test8:
  url:   /doctrine/route/test8/:id/:slug/:title/:testing_non_column2
  class: sfDoctrineRoute
  options: { model: Article, type: object }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test9:
  url:   /doctrine/route/test9/:id/:slug/:title/:testing_non_column
  class: sfDoctrineRoute
  options: { model: Article, type: object, method: routeTest9 }
  param: { module: doctrine_route_test, action: index }

doctrine_route_test10:
  url:   /doctrine/route/test10/:is_on_homepage/:testing_non_column
  class: sfDoctrineRoute
  options: { model: Article, type: list, method_for_query: routeTest10 }
  param: { module: doctrine_route_test, action: index }

user:
  class: sfDoctrineRouteCollection
  options:
    model:               User
    module:              users
    prefix_path:         users
    column:              id
    with_wildcard_routes: true

subscription:
  class: sfDoctrineRouteCollection
  options:
    model:               Subscription
    module:              subscriptions
    prefix_path:         subscriptions
    column:              id
    with_wildcard_routes: true

author:
  class: sfDoctrineRouteCollection
  options:
    model:               Author
    module:              authors
    prefix_path:         authors
    column:              id
    with_wildcard_routes: true

my_articles:
  class: sfDoctrineRouteCollection
  options:
    model:               Article
    module:              my_articles
    prefix_path:         my_articles
    column:              id
    with_wildcard_routes: true

article:
  class: sfDoctrineRouteCollection
  options:
    model:               Article
    module:              articles
    prefix_path:         articles
    column:              id
    with_wildcard_routes: true

# default rules
homepage:
  url:   /
  param: { module: default, action: index }